﻿<UserControl x:Class="JCHVRF_New.Views.Tools"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:system="clr-namespace:System;assembly=mscorlib"
             xmlns:fa="http://schemas.fontawesome.io/icons/"
             xmlns:i="http://schemas.microsoft.com/expression/2010/interactivity"
             xmlns:local="clr-namespace:JCHVRF_New.Views"
             xmlns:prism="http://prismlibrary.com/"
             prism:ViewModelLocator.AutoWireViewModel="True"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid>
        <ScrollViewer VerticalScrollBarVisibility="Auto">
        <Grid Margin="10,5,5,5" >
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="*"/>
            </Grid.RowDefinitions>
            <DockPanel VerticalAlignment="Top" Height="30" HorizontalAlignment="Stretch">
                <TextBlock Text="Tools" FontFamily="Arial" FontStyle="Normal" Foreground="Gray" FontSize="20" FontWeight="Bold" DockPanel.Dock="Top"/>
            </DockPanel>
            <DockPanel Grid.Row="1">
                
                <TextBox x:Name="txtProjectSearch" FontSize="15" Opacity="0.6"  
                                             Height="35"  
                                             Width="500" 
                                             VerticalAlignment="Center">
                    <TextBox.Style>
                        <Style  TargetType="TextBox">
                            <Style.Resources>
                                <VisualBrush x:Key="CueBannerBrush" AlignmentX="Left" AlignmentY="Center" Stretch="None">
                                    <VisualBrush.Visual>
                                        <Label Content="Search" FontSize="14" Foreground="Gray"/>
                                    </VisualBrush.Visual>
                                   
                                </VisualBrush>
                            </Style.Resources>
                            <Style.Triggers>
                                <Trigger Property="Text" Value="">
                                    <Setter Property="Background" Value="{StaticResource CueBannerBrush}"></Setter>
                                </Trigger>
                                <Trigger Property="Text" Value="{x:Null}">
                                    <Setter Property="Background" Value="{StaticResource CueBannerBrush}"></Setter>
                                </Trigger>
                                <Trigger Property="IsKeyboardFocused" Value="True">
                                    <Setter Property="Background" Value="White"></Setter>
                                </Trigger>
                            </Style.Triggers>
                        </Style>
                    </TextBox.Style>
                    <TextBox.Resources>
                        <Style TargetType="{x:Type Border}">
                            <Setter Property="CornerRadius" Value="5"/>
                        </Style>
                    </TextBox.Resources>
                    
                </TextBox>
            </DockPanel>
            <Border Grid.Row="2" BorderThickness="0,0,0,1" BorderBrush="Gray">
                <WrapPanel Margin="0,5,0,5">
                    <ItemsControl ItemsSource="{Binding ToolCollection}">
                        <ItemsControl.ItemsPanel>
                            <ItemsPanelTemplate>
                                <WrapPanel></WrapPanel>
                            </ItemsPanelTemplate>
                        </ItemsControl.ItemsPanel>
                        <ItemsControl.ItemTemplate>
                                <DataTemplate>
                                    <Border  Width="300" Height="320" Margin="10,10,0,0" BorderThickness="3" CornerRadius="10" Background="WhiteSmoke">
                                        <Grid>
                                            <Grid.RowDefinitions>
                                                <RowDefinition Height="100"></RowDefinition>
                                                <RowDefinition Height="40"></RowDefinition>
                                                <RowDefinition Height="*"></RowDefinition>
                                                <RowDefinition Height="Auto"></RowDefinition>
                                            </Grid.RowDefinitions>
                                            <StackPanel  Grid.Row="0" HorizontalAlignment="Center" VerticalAlignment="Center" Margin="0,5,5,0" >
                                                <fa:ImageAwesome x:Name="Snowflake"  Foreground="LightBlue" Height="60" Width="60" Icon="{Binding Icon}" />
                                            </StackPanel>
                                            <StackPanel Grid.Row="1">
                                                <TextBlock Text="{Binding Header}"  Foreground="LightSkyBlue" FontSize="22" Margin="15,0,0,0" FontFamily="Arial" FontStyle="Normal"></TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="2">
                                                <TextBlock Text="{Binding Content}" LineHeight="20" TextWrapping="Wrap" Foreground="Gray" FontSize="14" Margin="15,0,0,0" FontFamily="Arial" FontStyle="Normal"></TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="3" HorizontalAlignment="Center" Orientation="Horizontal">

                                                <Button Width="120" Height="37" Background="{StaticResource OtherColor5 }" Content="Learn More"  Margin="0,0,0,15"
                                    FontSize="14" 
                                     Style="{DynamicResource buttonMouseOverStyle}">
                                                        <i:Interaction.Triggers>
                                                            <i:EventTrigger EventName="Click">
                                                                <i:InvokeCommandAction Command="{Binding CancelNewCreatorClickedCommand}" CommandParameter="{Binding ElementName=NewCreatorInfoWindow}"/>
                                                            </i:EventTrigger>
                                                        </i:Interaction.Triggers>
                                                    </Button>
                                                    <TextBlock Width="4"></TextBlock>
                                                <Button x:Name="btncalculate" Width="120" Foreground="White" Height="37" HorizontalAlignment="Right" Content="Calculate"  Margin="10,0,0,15" Style="{DynamicResource buttonToolStyle}"
                                    FontSize="14">
                                                        <i:Interaction.Triggers>
                                                            <i:EventTrigger EventName="Click">
                                                                <i:InvokeCommandAction Command="{Binding AddNewCreatorClickedCommand}" CommandParameter="{Binding ElementName=NewCreatorInfoWindow}"/>
                                                            </i:EventTrigger>
                                                        </i:Interaction.Triggers>
                                                    </Button>
                                                
                                            </StackPanel>
                                        </Grid>
                                    </Border>
                                </DataTemplate>
                        </ItemsControl.ItemTemplate>

                    </ItemsControl>
                </WrapPanel>
            </Border>
        </Grid>
        </ScrollViewer>
    </Grid>
</UserControl>
